![Laravel-Excel 3.0](https://user-images.githubusercontent.com/7728097/37357058-b96e8d98-26e7-11e8-94a7-68f1f6fab99a.jpg)

# Laravel Excel 3.0

[![Build Status](https://travis-ci.org/Maatwebsite/Laravel-Excel.svg?branch=3.0)](https://travis-ci.org/Maatwebsite/Laravel-Excel)
[![codecov](https://codecov.io/gh/Maatwebsite/Laravel-Excel/branch/3.0/graph/badge.svg)](https://codecov.io/gh/Maatwebsite/Laravel-Excel)
[![StyleCI](https://styleci.io/repos/14259390/shield?branch=3.0)](https://styleci.io/repos/14259390)
[![Latest Stable Version](https://poser.pugx.org/maatwebsite/excel/v/stable.png)](https://packagist.org/packages/maatwebsite/excel)
[![Total Downloads](https://poser.pugx.org/maatwebsite/excel/downloads.png)](https://packagist.org/packages/maatwebsite/excel)
[![License](https://poser.pugx.org/maatwebsite/excel/license.png)](https://packagist.org/packages/maatwebsite/excel)

## Introduction

Laravel Excel is intended at being Laravel-flavoured PhpSpreadsheet: a simple, but elegant wrapper around PhpSpreadsheet with the goal of simplifying
exports. 

[PhpSpreadsheet](https://phpspreadsheet.readthedocs.io/) is a library written in pure PHP and providing a set of classes that allow you to read from and to write to different spreadsheet file formats, like Excel and LibreOffice Calc.

Laravel Excel features:

* Easily export collections to Excel
* Export queries with automatic chunking for better performance
* Queue exports for better performance
* Easily export Blade views to Excel

Read more about Laravel Excel 3.0 on our blog: https://medium.com/@maatwebsite/laravel-excel-lessons-learned-7fee2812551

## Supported Versions

Versions will be supported for a limited amount of time.

| Version | Laravel Version | Php Version | Support |
|---- |----|----|----|
| 2.1 | <=5.6 | <=7.0 | EOL on 15-5-2018 |
| 3.0 | ^5.5 |  ^7.0 | New features |

## Installation

Require this package in the `composer.json` of your Laravel project. This will download the package and PhpSpreadsheet.

```
composer require maatwebsite/excel
```

More installation instructions can be found at: [https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/installation](https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/installation)

## Support

More about support can be found at: [https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/support](https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/support)

## Contributing

More about contributing can be found at: [https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/contributing](https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/contributing)

## License & Postcardware

Our software is open source and licensed under the MIT license.

If you use the software in your production environment we would appreciate to receive a postcard of your hometown. Please send it to:

**Maatwebsite**  
Florijnruwe 111-2  
6218 CA Maastricht  
The Netherlands  

More about the license can be found at: [https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/license](https://laravel-excel.maatwebsite.nl/docs/3.0/getting-started/license)
